<?php 

// Exit if accessed directly
if (!defined('ABSPATH')) {
    exit;
}

//Dina Footer Codes
add_action( 'wp_footer', 'dina_footer_codes' );
function dina_footer_codes() { 
global $di_data; ?>
<div class="overlay-blur"></div>

    <?php if($di_data['show_return_top']) { ?>
    <div id="back-top">
        <a href="#top">
            <span class="fal fa-chevron-up" aria-hidden="true"></span>
        </a>
    </div>
    <?php } ?>

    <?php if($di_data['show_social_btn']) { ?>
    <div class="di-socialbtn">
        <a href="<?php echo $di_data['social_btn_link']; ?>" data-toggle="tooltip" data-placement="top" title="<?php echo $di_data['social_btn_title']; ?>">
            <span class="<?php echo $di_data['social_btn_icon']; ?>" aria-hidden="true"></span>
        </a>
    </div>
    <?php } ?>
    
    <?php if($di_data['show_cart_btn']) { ?>
    <!-- side cart -->
    <div id="mySideCart" class="sidecart">
        <div class="side-head">
        <a href="javascript:void(0)" class="mclosebtn" onclick="closeCart()">
            <i class="fal fa-times" aria-hidden="true"></i>
        </a>
        <div class="side-title">
             <i class="fal fa-shopping-bag" aria-hidden="true"></i> <?php echo __( 'Shopping Cart', 'dina-kala' ); ?>
        </div>
        </div>
        <div class="widget_shopping_cart_content">
            <?php woocommerce_mini_cart() ?>
        </div>
        <i class="fal fa-bags-shopping side-icon" aria-hidden="true"></i>
    </div>
    <div id="myCanvasCart" class="overlay3" onclick="closeCart()"></div>
    <!-- side cart -->
    <?php } ?>

    <?php if($di_data['ch_login_link'] || !is_user_logged_in()) { ?>
    <!-- side login -->
    <div id="mySideLogin" class="sidelogin">
        <div class="side-head">
            <a href="javascript:void(0)" class="mclosebtn" onclick="closeLogin()">
                <i class="fal fa-times" aria-hidden="true"></i>
            </a>
            <div class="side-title">
                <i class="fal fa-user-circle" aria-hidden="true"></i> <?php echo __( 'Login to the site', 'dina-kala' ); ?>
            </div>
        </div>
        <?php if (function_exists('digits_version') && $di_data['digits_mode']) { $digits_class = ' digits-login'; } ?>
        <form name="login_form" class="login_form <?php echo $digits_class; ?>" id="login_form" action="#" method="post">
            <div class="row">
                <div class="col-12">
                <div class="status"></div>
                <div class="form-group">
                    <div class="input-group">
                    <div class="input-group-prepend" id="basic-addon1">
                        <span class="input-group-text">
                        <i class="fal fa-user" aria-hidden="true"></i>
                        </span>
                    </div>
                    <input name="username" type="text" class="form-control" id="username" placeholder="<?php echo __('Username','dina-kala'); ?>" required="required" />
                    </div>
                </div>
                <div class="form-group">
                    <div class="input-group">
                    <div class="input-group-prepend" id="basic-addon2">
                        <span class="input-group-text">
                        <i class="fal fa-key" aria-hidden="true"></i>
                        </span>
                    </div>
                    <input name="password" type="password" class="form-control" id="password" placeholder="<?php echo __('Password','dina-kala'); ?>" required="required" />
                    </div>
                </div>
                <a href="<?php echo wp_lostpassword_url(); ?>" title="<?php echo __('Reset password','dina-kala'); ?>" class="lost-password"><?php echo __('Reset password','dina-kala'); ?></a>
                <a <?php if($di_data['ch_register_link']) {echo 'href="'.$di_data['register_link'].'"'; } else {echo 'href="' .esc_url(home_url()).'/my-account"';} ?> class="pregisterlink"><?php echo __('Create an account', 'dina-kala'); ?></a>
                <?php if($di_data['recapcha_login']) { ?>
                <div class="g-recaptcha" data-sitekey="<?php echo $di_data['site_key']; ?>"></div>
                <?php } ?>
                <?php wp_nonce_field( 'ajax-login-nonce', 'security' ); ?>
                <button class="btn btn-success plogin-btn" id="loginSubmit">
                    <span class="fal fa-user" aria-hidden="true"></span><?php echo __('  Login to the site','dina-kala'); ?>
                </button>
                </div>
            </div>
        </form>
        <i class="fal fa-user-circle side-icon" aria-hidden="true"></i>
    </div>
    <div id="myCanvasLogin" class="overlay3" onclick="closeLogin()"></div>
    <!-- side login -->
    <?php } ?>

    <?php if (is_user_logged_in()) { ?>
    <!-- side user-menu -->
    <div id="myUmenu" class="usermenu">
        <div class="side-head">
            <a href="javascript:void(0)" class="closebtn" onclick="closeUmenu()">
                <i class="fal fa-times" aria-hidden="true"></i>
            </a>
            <?php 
                $user = wp_get_current_user(); 
                echo get_avatar(get_current_user_id() , 65,'' ,$user->display_name ); ?>
            <span class="side-uname">
                <?php echo $user->display_name; ?>
            </span>
            <?php
            if (class_exists( 'WooWallet' ))
            {       
                $wallet = woo_wallet()->wallet->get_wallet_balance( get_current_user_id() );
                echo '<span class="m-wallet">'.__('Wallet Inventory: ','dina-kala').$wallet.'</span>';
            }
            ?>
        </div>
        <ul class="usmenu">
        <?php get_template_part('includes/umenu'); ?>
        </ul>
        <i class="fal fa-id-card side-icon" aria-hidden="true"></i>
    </div>
    <div id="myCanvasUser" class="overlay3" onclick="closeUmenu()"></div>
    <!-- side user-menu -->
    <?php } ?>

    <!-- mobile menu -->
    <div id="myNav" class="sidenav">
        <div class="side-head<?php if($di_data['mobile_search']) { echo ' nsearch'; } ?>">
            <a href="javascript:void(0)" class="mclosebtn" onclick="closeNav()">
                <i class="fal fa-times" aria-hidden="true"></i>
            </a>
            <?php if(!$di_data['mobile_search']) { ?>
            <form class="msform" role="search" method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>">
                <input type="hidden" name="post_type" value="product" />
                <div class="input-group search-form">
                    <?php 
                    $categories = get_terms("product_cat");
                    if ( $di_data['search_cat'] && !empty( $categories ) && !is_wp_error( $categories ) ) { ?>
                    <div class="input-group-before prod-cat">
                        <?php echo '<select name="product_cat" >';
                        echo '<option value="">'.__("Category",'dina-kala').'</option>';
                        foreach ( $categories as $category ) {
                        echo '<option value="'.$category->slug.'">'.$category->name.'</option>';
                        }
                        echo '</select>'; ?>
                    </div>
                    <?php } ?>
                    <input autocomplete="off" name="s" type="text" class="form-control search-input" placeholder="<?php echo __("Search", 'dina-kala'); ?>" required>
                    <div class="input-group-append">
                        <button class="btn btn-search" type="submit" aria-label="<?php echo __("Search", 'dina-kala'); ?>">
                            <i class="fal fa-search" aria-hidden="true"></i>
                        </button>
                    </div>
                </div>
            </form>
            <?php } ?>
        </div>
        <nav <?php if($di_data['site_schema']) {?>itemscope itemtype="https://schema.org/SiteNavigationElement"<?php } ?> id="cssmenu">
            <?php
            wp_nav_menu(array(
            'menu'              => 'mega_menu',
            'theme_location'    => 'mega_menu',
            'container_id' => 'cssmenu',
            'fallback_cb'       => 'CSS_Menu_Maker_fallback',
            'walker' => new CSS_Menu_Maker_Walker()
            ));
            ?>
       </nav>
       <i class="fal fa-file-search side-icon" aria-hidden="true"></i>
    </div>
    <div id="myCanvasNav" class="overlay3" onclick="closeNav()"></div>
    <!-- mobile menu -->
<?php }