<?php
namespace Elementor;

class Dina_Timed_Products extends Widget_Base {

	public function get_name() {
		return 'dina-timed-products';
	}
	
	public function get_title() {
		return __( 'Dina timed discount products', 'dina-kala' );
	}
	
	public function get_icon() {
		return 'fal fa-alarm-clock';
	}
	
	public function get_categories() {
		return [ 'dina-kala' ];
	}
	
	protected function _register_controls() {
	require get_template_directory() . '/includes/widgets/fa.php';

		$this->start_controls_section(
			'section_title',
			[
				'label' => __( 'Dina timed discount products', 'dina-kala' ),
			]
		);
		
		$this->add_control(
			'title',
			[
				'label' => __( 'Title', 'dina-kala' ),
				'label_block' => true,
				'type' => Controls_Manager::TEXT,
				'placeholder' => __( 'Enter your title', 'dina-kala' ),
			]
		);

		/*$this->add_control(
			'out_prod',
			[
				'label' => __( 'Show in stock products', 'dina-kala' ),
				'type' => Controls_Manager::SWITCHER,
				'label_on' => __( 'On', 'dina-kala' ),
				'label_off' => __( 'Off', 'dina-kala' ),
				'return_value' => 'yes',
				'default' => 'no',
			]
		);*/

		$this->add_control(
			'product_icon',
			[
				'label' => __( 'Icon', 'dina-kala' ),
				'type' => Controls_Manager::SELECT2,
				'options' => $icons_font_awesome,
			]
		);

		$this->add_control(
			'white_title',
			[
				'label' => __( 'White title (Suitable for background mode)', 'dina-kala' ),
				'type' => Controls_Manager::SWITCHER,
				'label_on' => __( 'On', 'dina-kala' ),
				'label_off' => __( 'Off', 'dina-kala' ),
				'return_value' => 'yes',
				'default' => 'no',
			]
		);

		$this->add_control(
			'white_box',
			[
				'label' => __( 'White box style', 'dina-kala' ),
				'type' => Controls_Manager::SWITCHER,
				'label_on' => __( 'On', 'dina-kala' ),
				'label_off' => __( 'Off', 'dina-kala' ),
				'return_value' => 'yes',
				'default' => 'no',
			]
		);

		$this->add_control(
			'show_arrows',
			[
				'label' => __( 'Show Arrows', 'dina-kala' ),
				'type' => Controls_Manager::SWITCHER,
				'label_on' => __( 'On', 'dina-kala' ),
				'label_off' => __( 'Off', 'dina-kala' ),
				'return_value' => 'yes',
				'default' => 'yes',
			]
		);

		$this->add_control(
			'auto_play',
			[
				'label' => __( 'Auto play', 'dina-kala' ),
				'type' => Controls_Manager::SWITCHER,
				'label_on' => __( 'On', 'dina-kala' ),
				'label_off' => __( 'Off', 'dina-kala' ),
				'return_value' => 'yes',
				'default' => 'no',
			]
		);

		$this->add_control(
			'prod_loop',
			[
				'label' => __( 'Product loop', 'dina-kala' ),
				'type' => Controls_Manager::SWITCHER,
				'label_on' => __( 'On', 'dina-kala' ),
				'label_off' => __( 'Off', 'dina-kala' ),
				'return_value' => 'yes',
				'default' => 'yes',
			]
		);

		$this->add_control(
			'ptotalcount',
			[
				'label' => __( 'Product total count', 'dina-kala' ),
				'type' => Controls_Manager::NUMBER,
				'min' => 8,
				'max' => 20,
				'step' => 1,
				'default' => 8,
			]
		);

		$this->add_control(
			'pcount',
			[
				'label' => __( 'Product columns count', 'dina-kala' ),
				'type' => Controls_Manager::NUMBER,
				'min' => 4,
				'max' => 6,
				'step' => 1,
				'default' => 5,
			]
		);

		/*$this->add_control(
			'view_all',
			[
				'label' => __( 'Display view all button', 'dina-kala' ),
				'type' => Controls_Manager::SWITCHER,
				'label_on' => __( 'On', 'dina-kala' ),
				'label_off' => __( 'Off', 'dina-kala' ),
				'return_value' => 'yes',
				'default' => 'no',
			]
		);*/
		
		$this->end_controls_section();
	}
	
	protected function render() {
		$settings = $this->get_settings_for_display();
		global $di_data; ?>
        <div class="product-block<?php if ( 'yes' === $settings['white_title'] ) { echo ' white-title'; } ?><?php if ( 'yes' === $settings['white_box'] ) { echo ' white-box'; } ?>">
		<?php

			$args = array(
						//'posts_per_page'    => $settings['ptotalcount'],
						'post_status'       => 'publish',
						'order' 			=> 'DESC',
						'post_type'         => 'product',
						'post__in'          => array_merge( array( 0 ), wc_get_product_ids_on_sale() ),
						'meta_query' => array(
							/*'relation' => 'AND',
							array(
								'key' => '_sale_price_dates_to',
								'value'   => array(''),
								'compare' => 'NOT IN'
							),*/
							array(
								'key' => '_stock_status',
								'value' => 'instock'
							)
						)
			);

			$productsquery = new \WP_Query( $args );
		?>
		
		<?php if ( $productsquery->have_posts() ) { ?>
		<div class="block-title">
			<h2> 
				<i class="fal fa-<?php echo $settings['product_icon']; ?>" aria-hidden="true"></i>
				<?php echo $settings['title']; ?>
			</h2>
		</div>
		<div class="owl-carousel" <?php if ( 'yes' === $settings['show_arrows'] ) { echo 'data-itemnavs="true"'; } else { echo 'data-itemnavs="false"'; } ?> <?php if ( 'yes' === $settings['prod_loop'] ) { echo 'data-itemloop="true"'; } else { echo 'data-itemloop="false"'; } ?> <?php if ( 'yes' === $settings['auto_play'] ) { echo 'data-itemplay="true"'; } else { echo 'data-itemplay="false"'; } ?> data-itemscount="<?php echo $settings['pcount']; ?>" data-dir="<?php dina_rtl(); ?>">
		    
		<?php $count = 0;
		while ( $productsquery->have_posts() && $count!= $settings['ptotalcount'] ) : $productsquery->the_post(); ?>
			<?php global $product;
				$in_stock = $product->is_in_stock();
				$stock_class = ($in_stock ? '' : ' prod-out-stock');
				$coming_class = (get_post_meta( $product->get_id(), 'dina_coming', true ) ? ' prod-coming' : '');
				if ($product->is_type( 'variable' )) {
							$children_ids = $product->get_children();
							$children_id = $children_ids[0];
							$date = get_post_meta( $children_id, '_sale_price_dates_to', true );
						} else {
							$date = get_post_meta( $product->get_id(), '_sale_price_dates_to', true );
						}?>
			<?php if($date) { ?>
			<div class="item">
				<div class="woocommerce timed-products shadow-box <?php echo $di_data['prod_hover']; ?> mini-product<?php echo $stock_class; ?><?php echo $coming_class; ?>">
					<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="product-link">
						<?php p_img() ?>
						<?php if($in_stock && $product->is_on_sale()) { ?>
						<?php echo dina_dis_price(get_the_ID()); ?>
						<?php } ?>

						<span class="product-title">
							<?php the_title(); ?>
						</span>

						<?php 

						if (!empty($date) && $product->is_purchasable() && $product->is_in_stock()) {
							$date += 24*60*60;
							$sale_price_date = ( $date ) ? date( 'Y/m/d', $date ) : '';
							if($product->is_on_sale()) { ?>
								<span class="counter-con">
									<span class="prodcounter" data-countdown="<?php echo $sale_price_date; ?>" data-dir="<?php echo (is_rtl())?'rtl':'ltr';?>"></span>
								</span>
							<?php } 
						}
						?>
						
						<span class="product-price">
						<?php if($in_stock) { ?>
							<span class="price-con">
							<?php echo $product->get_price_html(); ?>
							</span>
						<?php } else { ?>
							<span class="price-con">
							<?php _e( 'Out of stock', 'dina-kala' ); ?>
							</span>
						<?php } ?>
						</span>
					</a>
					<?php dina_add_to_cart($product); ?>
				</div>
			</div>
			<?php } ?>
			<?php $count++; ?>
        <?php endwhile; ?>
        </div>

		<?php 
		} else {		
		echo '<div class="col-12 not-msg">'.__( 'No product with the desired conditions was found.', 'dina-kala' ).'</div>';}
		
		wp_reset_postdata();
		?>
        </div>
        <?php

	}

}